Skip to main content
`Ctrl`+`K`

# DMSetMatType

Sets the type of matrix created with `DMCreateMatrix()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetMatType(DM dm, MatType ctype)

Logically Collective

## Input Parameters

- dm - the `DM` context

- ctype - the matrix type, for example `MATMPIAIJ`

## Options Database Key

- -dm_mat_type ctype - the type of the matrix to create, for example mpiaij

## See Also

DM Basics, `DM`, `MatType`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMCreateMatrix()`, `DMCreateMassMatrix()`, `DMSetMatrixPreallocateOnly()`, `DMGetMatType()`, `DMCreateGlobalVector()`, `DMCreateLocalVector()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex55.c
src/ksp/ksp/tutorials/ex44f.F90
src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex49.c
src/ksp/ksp/tutorials/ex71.c
src/snes/tutorials/ex14.c
src/dm/tutorials/ex14.c
src/snes/tutorials/ex58.c
src/ksp/ksp/tutorials/ex43.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages